Bug 43140 - xdm-config is missing from XFree86-xdm package
Summary: xdm-config is missing from XFree86-xdm package
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-01 08:29 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-03 12:45:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-06-01 08:29:18 UTC
Description of Problem: The config file /etc/X11/xdm/xdm-config is missing
from the XFree86-xdm package. It is needed when {k,x}dm are used as display
managers instead of gdm. The scripts
Xsetup_0, GiveConsole, TakeConsole will not be executed when kdm is used.

How Reproducible: Every time


Steps to Reproduce:
1.  /sbin/telinit 3
2.  echo "KDE" >/etc/sysconfig/desktop
3.  /sbin/telinit 5 # should start kdm as display manager

Actual Results:
Xsetup_0 not executed, no kdm pid file, no sessreg after login, ...



Expected Results:


Additional Information:

Comment 1 Need Real Name 2001-06-02 10:52:09 UTC
xdm-config has been moved from XFree86-xdm to xinitrc package. The 
dependency in XFree86.spec file was not updated (xinitrc >= 2.9.8).
I am using self - compiled  packages -XFree86-4.0.3-5.src.rpm from
RH71 and an older version of xinitrc (xinitrc-2.9.10.src.rpm)
from RH70 => no xdm-config.




Comment 2 Mike A. Harris 2001-06-02 11:37:41 UTC
Ok..  your message is confusing though.  You say that you are using:
"dependency in XFree86.spec file was not updated (xinitrc >= 2.9.8)",
but then say that you re using an older version of xinitrc 2.9.10 - 
which is newer than the one that you list as should be a dependancy...

I think the proper way to fix it is to remove the dependancy in xinitrc
on XFree86, and put a dependancy of xinitrc in the XFree86 package..
Not sure though.  Suggestion?


Comment 3 Need Real Name 2001-06-03 12:35:48 UTC
I was backporting XFree86-4.0.3-5.src.rpm to RH70 and RH62. There is
a dependency on xinitrc in the spec file for XFree86 which needs updating.
XFree86-xdm is built with this spec file. Try 
``rpm -q --requires XFree86-xdm | grep xinitrc44 on RH71 or
``rpm -q --requires -p 
/mnt/cdrom/RedHat/RPMS/XFree86-xdm-4.0.3-5.i386.rpm | grep xinitrc44 (RH71
cdrom in drive)



Comment 4 Need Real Name 2001-06-03 12:45:20 UTC
Ignore the 44. That should have been single quotes.


Comment 5 Mike A. Harris 2001-07-30 07:38:59 UTC
XFree86 in rawhide has dependancy on xinitrc 3.10 or greater.


Note You need to log in before you can comment on or make changes to this bug.